<?php
	
	require 'functions.php';
 
	if($_SERVER['REQUEST_METHOD'] == "POST")
	{
		$errors = [];
		$email = $_POST['email'];
		$username = $_POST['username'];
		$password = $_POST['password'];

		if(!filter_var($email, FILTER_VALIDATE_EMAIL)){

			$errors['email'] = "Invalid email";
		}

		if(!preg_match("/^[a-zA-Z ]+$/", $username)){

			$errors['username'] = "Username can only have letters and spaces";
		}

		if(empty($errors))
		{
			//save to database
			$password = password_hash($password, PASSWORD_DEFAULT);
			$query = "insert into users (username, email, password) values ('$username', '$email', '$password')";
			query($query);

			redirect('login');
		}
	}
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Employees list signup page</title>
	<link rel="stylesheet" type="text/css" href="assets_login/css/bootstrap-icons.css">
	<link rel="stylesheet" type="text/css" href="assets_login/css/styles.css">
</head>
<body>

	
	<form method="post" enctype="multipart/form-data" class="class_1" >
		<div class="class_2" src="assets_login/images/ToNDrsr.jpg" >
			<img src="assets_login/images/digital-presentation-concept-illustration_114360-8415.webp" class="class_3" >
		</div>
		<img src="assets_login/images/3d-female-character-reading-book_23-2148938892.png" class="class_4" >
		<h1 class="class_5"  >
			Signup
		</h1>
		<div style="color:red">
			<?php
				if(!empty($errors))
				{
					echo implode("<br>", $errors);
				}

			?>
		</div>
		<div class="class_6" >
			<input placeholder="Username" type="text" name="username" class="class_7" >
		</div>
		<div class="class_6" >
			<input placeholder="Email" type="text" name="email" class="class_7" >
		</div>
		
		<div class="class_6" >
			<input placeholder="Password" type="text" name="password" class="class_8" >
		</div>
		<div>Already have an account?! <a href="login.php">Login here</a></div>
		<div class="class_9" >
			<button class="class_10"  >
				Signup
			</button>
		</div>
	</form>
	
</body>
</html>